Public Class frmCadastroDivisao

    Private Sub btnIncluirProduto_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnIncluirProduto.Click
        'Validação de Nome Divisão
        If Not String.IsNullOrEmpty(txtDescricao.Text) Then
            Dim clsDivisao As New clsDivisao
            With clsDivisao
                .NOME_DIV = txtDescricao.Text
                If Not String.IsNullOrEmpty(lblCodigo.Text) Then
                    .UpdateDIVISAO(CInt(lblCodigo.Text))
                    MsgBox("Registro alterado com sucesso!")
                Else
                    .InsertDIVISAO()
                    MsgBox("Registro gravado com sucesso!")
                End If
                'Carrega o gridview
                Call Carregagrid()
                'Limpa os controles
                Call LimpaControle()
            End With
        Else
            MsgBox("Defina o nome da Divisão")
            txtDescricao.Focus()
        End If
    End Sub
    Private Sub Carregagrid()
        'Instancia o clsDivisao
        Dim clsDivisao As New clsDivisao
        With gvDivisao
            .DataSource = clsDivisao.SelectdivisaoForGrid().Tables(0)
            .Columns(0).Visible = False
            .Columns(1).HeaderText = "Divisão"
        End With
    End Sub
    Private Sub frmCadastroRegiao_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Carrega o GridView
        Call Carregagrid()
        Call LimpaControle()
    End Sub
    Private Sub gvRegiao_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles gvDivisao.CellClick
        If gvDivisao.RowCount >= 1 Then
            txtDescricao.Text = CStr(gvDivisao.CurrentRow.Cells(1).Value)
            lblCodigo.Text = CStr(gvDivisao.CurrentRow.Cells(0).Value)
        End If
    End Sub
    Private Sub btnExcluirProduto_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExcluirProduto.Click
        If Not String.IsNullOrEmpty(lblCodigo.Text) Then
            Dim clsDivisao As New clsDivisao
            clsDivisao.DeleteDIVISAO(CInt(lblCodigo.Text))
            'Carrega o Grid View
            Call Carregagrid()
            'Limpa os controles
            Call LimpaControle()
        Else
            MessageBox.Show("Defina um registro para exclusão!")
        End If
    End Sub
    Private Sub LimpaControle()
        'Limpa os controles
        txtDescricao.Text = ""
        lblCodigo.Text = ""
    End Sub
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        'Limpa os controles
        Call LimpaControle()
    End Sub
End Class
